/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../../styles/plateg-variables.less';

.filter-bar {
  border-radius: 8px;
  margin: 2em 0;
  filter: drop-shadow(0px 0px 2px rgba(0, 0, 0, 0.25));
  overflow: hidden;
  .filter-row {
    padding: 0;
    background: transparent;
  }
  .filter-top-row {
    .filter-item {
      background-color: #fff;
      flex-wrap: nowrap;
      &:not(:last-child) {
        margin-right: 2px;
      }
    }
    .filter-row-left {
      flex-grow: 0;
    }
    .filter-row-center {
      flex-grow: 3;
      align-items: center;
      justify-content: flex-end;
      .table-row-count {
        padding-right: 1.6rem;
      }
    }
    .filter-row-right {
      flex-grow: 0;
    }
    .filter-bar-button {
      padding: 2rem 3.2rem;
      height: 100%;
      display: inline-flex;
      font-weight: 500;
      border: 1px solid transparent;
      outline-color: transparent;
      border-color: transparent;
      .ant-btn-icon {
        display: inline-flex;
        align-items: center;
        svg {
          width: 1.2rem;
        }
      }
      &:hover {
        border: 1px solid @platform-blue1;
        border-top-left-radius: 8px;
        border-bottom-left-radius: 8px;
        color: @platform-blue1 !important;
        border-color: @platform-blue1 !important;
        transition: none;
        outline-color: @platform-blue1 !important;
        background-color: inherit !important;
      }
      &:hover.active {
        border-bottom-left-radius: 0px;
      }
      &.active {
        background-color: @platform-blue13 !important;
        color: @platform-blue1;
      }
      &:focus {
        background-color: @platform-blue13 !important;
        color: @platform-blue1 !important;
        outline-color: inherit !important;
        border-color: inherit !important;
      }
      .active-filter-number {
        background-color: @platform-blue1;
        border-radius: 35%;
        color: #fff;
        min-width: 3.2rem;
        height: 1.8rem;
        display: flex;
        font-size: 1.4rem;
        align-items: center;
        justify-content: center;
      }
    }
    .filter-bar-sort {
      height: 100%;
      .filter-bar-sort-arrow {
        svg {
          color: @platform-blue1;
        }
      }
      .filter-bar-sort-selector {
        border: 1px solid transparent;
        &:hover,
        &:active {
          border-color: @platform-blue1 !important;
          border: 1px solid @platform-blue1;
          border-top-right-radius: 8px;
          border-bottom-right-radius: 8px;
          animation: none;
        }
      }
      .sort {
        display: flex;
        &-label {
          font-weight: 500;
          font-size: 1.6rem;
        }
        &-item {
          font-weight: 500;
          color: @platform-blue1;
          white-space: nowrap;
          max-width: 20ch;
          display: inline-block;
          overflow: hidden;
          text-overflow: ellipsis;
          > span {
            font-size: 1.6rem !important;
          }
        }
      }
    }
    .theme-generic-items-per-page-picker-select- .filter-bar-sort-selector {
      &:hover {
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px;
      }
    }
  }
  .filter-drawer {
    background: @platform-blue13;
    padding: 1.6rem 2.4rem;
    margin-top: 2px;
    .ant-col {
      display: flex;
      flex-flow: row wrap;
    }
    &.hidden {
      display: none;
    }
  }
}

.filter-bar-sort-dropdown {
  .filter-bar-sort-item {
    padding: 1.2rem 1.6rem;
    span {
      font-size: 1.6rem !important;
    }
  }
}
